/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service2;


/**
 * Java component implementation
 * 1 service with interface Service2
 * 0 references
 *
 * @author Di Zhong
 *
 */
@Service(Service2.class)
public class Service2Impl implements Service2 {
	
	@Property(required=true)
	public String serviceName = "service2";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked with "+input;
	}
	
	public String operation2(String input) {
		return serviceName + " operation2 invoked with "+input;
	}

}
