/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service5;


/**
 * Java component implementation
 * 1 service with interface Service5
 * 0 references
 *
 */
@Service(Service5.class)
public class Service5Impl implements Service5 {
	
	@Property(required=true)
	public String serviceName = "service5";
	
	public String onMessage(String input) {
		return serviceName + " onMessage invoked with "+input;
	}

	public String dummy(String input) {
		return serviceName + " dummy invoked with "+input;
	}
}
