/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_bjm;

import client.TestConfiguration;

/** 
 * A class to hold the metadata about the test
 * @author SimonHoldsworth
 *
 */
public class JMSTestConfiguration extends TestConfiguration {
	
    public String destinationName;
    public String replyDestinationName;
    public String connectionFactoryName = "ConnectionFactory";
    public String mockServiceDestinationName;
    public String mockServiceCorrelationScheme = "messageID";

    public JMSTestConfiguration() { }

    public String getDestinationName() { return destinationName; }
    public String getReplyDestinationName() { return replyDestinationName; }
    public String getConnectionFactoryName() { return connectionFactoryName; }
}
